### Function

# Pango.unichar_direction

#### Declaration [src]

    PangoDirection
    pango_unichar_direction (
      gunichar ch
    )

#### Description [src]

Determines the inherent direction of a character.

The inherent direction is either `PANGO_DIRECTION_LTR`, `PANGO_DIRECTION_RTL`, or `PANGO_DIRECTION_NEUTRAL`.

This function is useful to categorize characters into left-to-right letters, right-to-left letters, and everything else. If full Unicode bidirectional type of a character is needed, [type_func@Pango.BidiType.for_unichar] can be used instead.

#### Parameters

`ch` | `gunichar`
| a Unicode character

#### Return value

Returns: `PangoDirection`
the direction of the character.